#!/bin/bash
#############################################################################
# 
# What vservers are on this machine?
#
# Copyright (C) 2003  nuBridges llc
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# $Id: lsVS.sh,v 1.3 2003/10/02 21:47:06 cshapiro Exp $
#
##############################################################################
VSERVERDIR=/vservers
FSEARCH='*.conf'

if [ ! -z $1 ]
then
	FSEARCH=$1\*.conf
fi
for a in `ls /etc/vservers/$FSEARCH`
do
	VNAME=`basename $a .conf`
	if [ -d ${VSERVERDIR}/${VNAME} ]
	then
		echo $VNAME
	else
		echo I see a conf file for $a but no directory for it in $VSERVERDIR
	fi
done
