#!/bin/bash
#########################################################################
# 
# Which vservers are currently running?
#
# Copyright (C) 2003 nuBridges llc
# Released under the Gnu General Public License, Version 2
# Copyright (C) 2003  nuBridges llc
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
#
# $Id: VSWh.sh,v 1.3 2003/10/02 21:47:06 cshapiro Exp $
#
########################################################################
FSEARCH='*.conf'
if [ ! -z $1 ]
then
	FSEARCH=$1\*.conf
fi

for ii in /etc/vservers/$FSEARCH
do
	vName=`basename $ii .conf`
	if [ -d /vservers/$vName ]
	then
		if /usr/sbin/vserver $vName running  > /dev/null
		then
			vserver $vName status
			echo On IP address:
			awk -F= '/^IPROOT=/{print $2}' < $ii
			echo 
		fi
	fi
done

