#!/bin/bash
#############################################################
#
# vsmaker commands documentation.
#
# Copyright (C) 2003  nuBridges llc
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
# 
# $Id: help.sh,v 1.8 2003/10/06 20:17:22 cshapiro Exp $
#
###########################################################
cat <<EOF

Commands you can use from this account:

VSMk [-c cloned-servername ] -n vservername
	Make a raw virtual server. vservername must contain no more 
	than 4 characters. Use the "-c" flag to clone an already extant
   	vserver.
VSRm
	Remove a vserver (not reversible!)
VSLs [initials]
	What vservers are currently made? If passed 'initials', what
	vservers with those initials (e.g. "chs") are currently made?
VSWho [initials]
	What vservers are currently running? If passed 'initials', what
	vservers with those initials (e.g. "chs") are currently running?
VSCp [vserver:]src [vserver:]dest
	Copy a file from or to a vserver. Omit the vserver name to copy
	to the vserver server (the machine you're currently logged on to).
	Hence, "VSCopy chs4:/etc/hosts /tmp/hosts.chs4 copies the /etc/hosts
	file on chs4 to /tmp/hosts.chs4. The vserver need  not be running
	to allow this.
VServer
	Start, stop, enter, manage a vserver. See its usage message.
VSHelp
	This message
EOF
